=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2010-05-11 04:17:20 +0000
+++ drizzled/definitions.h	2010-05-11 04:37:30 +0000
@@ -344,7 +344,6 @@
 #define HA_CREATE_USED_CHARSET          (1L << 8)
 #define HA_CREATE_USED_DEFAULT_CHARSET  (1L << 9)
 #define HA_CREATE_USED_ROW_FORMAT       (1L << 15)
-#define HA_CREATE_USED_BLOCK_SIZE       (1L << 22)
 
 /*
   The below two are not used (and not handled) in this milestone of this WL

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2010-05-11 04:17:20 +0000
+++ drizzled/sql_yacc.yy	2010-05-11 04:37:30 +0000
@@ -1229,15 +1229,6 @@
 
             protoengine->set_name($3.str);
           }
-        | BLOCK_SIZE_SYM opt_equal ulong_num
-          {
-	    message::Table::TableOptions *tableopts;
-            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;
-	    tableopts= ((statement::CreateTable *)Lex->statement)->create_table_message.mutable_options();
-
-            tableopts->set_block_size($3);
-            statement->create_info.used_fields|= HA_CREATE_USED_BLOCK_SIZE;
-          }
         | COMMENT_SYM opt_equal TEXT_STRING_sys
           {
 	    message::Table::TableOptions *tableopts;

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2010-05-11 04:17:20 +0000
+++ drizzled/statement/alter_table.cc	2010-05-11 04:37:30 +0000
@@ -238,8 +238,6 @@
   message::Table::TableOptions *table_options;
   table_options= table_message.mutable_options();
 
-  if (! (used_fields & HA_CREATE_USED_BLOCK_SIZE))
-    table_options->set_block_size(table->s->block_size);
   if (! (used_fields & HA_CREATE_USED_DEFAULT_CHARSET))
     create_info->default_table_charset= table->s->table_charset;
   if (! (used_fields & HA_CREATE_USED_AUTO) &&

=== modified file 'tests/r/heap_var.result'
--- tests/r/heap_var.result	2010-03-09 22:42:17 +0000
+++ tests/r/heap_var.result	2010-05-11 04:37:30 +0000
@@ -1,10 +1,6 @@
 drop table if exists t1;
-set @@session.max_heap_table_size=16*1024*1024;
-create temporary table t1 (a int not null, b varchar(400), c int, primary key (a), key (c)) engine=MEMORY comment="testing heaps" block_size=128;
-ERROR 42000: Incorrect usage/placement of 'block_size'
-create temporary table t1 (a int not null, b int, c varchar(400), primary key (a), key (b)) engine=MEMORY comment="testing heaps" block_size=4;
-ERROR 42000: Incorrect usage/placement of 'block_size'
-create temporary table t1 (a int not null, b int, c varchar(400), d varchar(400), primary key (a), key (b)) engine=MEMORY comment="testing heaps" block_size=24;
+set @@session.max_heap_table_size=16*1024*1024*24;
+create temporary table t1 (a int not null, b int, c varchar(400), d varchar(400), primary key (a), key (b)) engine=MEMORY comment="testing heaps";
 show table status like "t1";
 Session	Schema	Name	Type	Engine	Version	Rows	Avg_row_length	Table_size	Auto_increment
 #	test	t1	TEMPORARY	MEMORY	#	#	#	#	#
@@ -26,57 +22,33 @@
 a	b	c	d
 1	1	012	NULL
 2	2	0123456789	NULL
-6	6	NULL	0123
 5	5	NULL	0123
 4	4	NULL	0123456789012345678901234567890123456789012345678901234567890123456789
+6	6	NULL	0123
 update t1 set c = '012345678901234567890123456789' where a = 2;
 select * from t1;
 a	b	c	d
 1	1	012	NULL
 2	2	012345678901234567890123456789	NULL
-6	6	NULL	0123
 5	5	NULL	0123
 4	4	NULL	0123456789012345678901234567890123456789012345678901234567890123456789
+6	6	NULL	0123
 update t1 set c = '0123456789' where a = 2;
 select * from t1;
 a	b	c	d
 1	1	012	NULL
 2	2	0123456789	NULL
-6	6	NULL	0123
 5	5	NULL	0123
 4	4	NULL	0123456789012345678901234567890123456789012345678901234567890123456789
+6	6	NULL	0123
 insert into t1 values (7,7,'0123',NULL), (8,8,'0123',NULL);
 select * from t1;
 a	b	c	d
 1	1	012	NULL
 2	2	0123456789	NULL
-6	6	NULL	0123
-5	5	NULL	0123
-4	4	NULL	0123456789012345678901234567890123456789012345678901234567890123456789
-7	7	0123	NULL
-8	8	0123	NULL
-show table status like "t1";
-Session	Schema	Name	Type	Engine	Version	Rows	Avg_row_length	Table_size	Auto_increment
-#	test	t1	TEMPORARY	MEMORY	#	#	#	#	#
-alter table t1 block_size = 0;
-show table status like "t1";
-Session	Schema	Name	Type	Engine	Version	Rows	Avg_row_length	Table_size	Auto_increment
-#	test	t1	TEMPORARY	MEMORY	#	#	#	#	#
-alter table t1 row_format = dynamic;
-show table status like "t1";
-Session	Schema	Name	Type	Engine	Version	Rows	Avg_row_length	Table_size	Auto_increment
-#	test	t1	TEMPORARY	MEMORY	#	#	#	#	#
-alter table t1 block_size = 128;
-show table status like "t1";
-Session	Schema	Name	Type	Engine	Version	Rows	Avg_row_length	Table_size	Auto_increment
-#	test	t1	TEMPORARY	MEMORY	#	#	#	#	#
-select * from t1;
-a	b	c	d
-1	1	012	NULL
-2	2	0123456789	NULL
-6	6	NULL	0123
-5	5	NULL	0123
-4	4	NULL	0123456789012345678901234567890123456789012345678901234567890123456789
+5	5	NULL	0123
+4	4	NULL	0123456789012345678901234567890123456789012345678901234567890123456789
+6	6	NULL	0123
 7	7	0123	NULL
 8	8	0123	NULL
 delete from t1;

=== modified file 'tests/t/heap_var.test'
--- tests/t/heap_var.test	2010-03-09 22:42:17 +0000
+++ tests/t/heap_var.test	2010-05-11 04:37:30 +0000
@@ -6,15 +6,9 @@
 drop table if exists t1;
 --enable_warnings
 
-set @@session.max_heap_table_size=16*1024*1024;
-
---error 1234
-create temporary table t1 (a int not null, b varchar(400), c int, primary key (a), key (c)) engine=MEMORY comment="testing heaps" block_size=128;
-
---error 1234
-create temporary table t1 (a int not null, b int, c varchar(400), primary key (a), key (b)) engine=MEMORY comment="testing heaps" block_size=4;
-
-create temporary table t1 (a int not null, b int, c varchar(400), d varchar(400), primary key (a), key (b)) engine=MEMORY comment="testing heaps" block_size=24;
+set @@session.max_heap_table_size=16*1024*1024*24;
+
+create temporary table t1 (a int not null, b int, c varchar(400), d varchar(400), primary key (a), key (b)) engine=MEMORY comment="testing heaps";
 
 --replace_column 1 #  6 # 7 # 8 # 9 # 10 #
 show table status like "t1";
@@ -37,20 +31,6 @@
 insert into t1 values (7,7,'0123',NULL), (8,8,'0123',NULL);
 select * from t1;
 
---replace_column 1 #  6 # 7 # 8 # 9 # 10 #
-show table status like "t1";
-alter table t1 block_size = 0;
---replace_column 1 #  6 # 7 # 8 # 9 # 10 #
-show table status like "t1";
-alter table t1 row_format = dynamic;
---replace_column 1 #  6 # 7 # 8 # 9 # 10 #
-show table status like "t1";
-alter table t1 block_size = 128;
---replace_column 1 #  6 # 7 # 8 # 9 # 10 #
-show table status like "t1";
-
-select * from t1;
-
 delete from t1;
 select * from t1;
 

